create schema radmin;
use radmin;

CREATE TABLE IF NOT EXISTS `radmin`.`raccess` (
  `serial` VARCHAR(20) NOT NULL,
  `nom` VARCHAR(255) NOT NULL,
  `sshport` INT(11) NOT NULL,
  `webport` INT(11) NOT NULL,
  `rserver` VARCHAR(255) NOT NULL DEFAULT 'radmin.ipconnect.fr',
  PRIMARY KEY (`serial`),
  UNIQUE INDEX `sshport_UNIQUE` (`sshport` ASC),
  UNIQUE INDEX `webport_UNIQUE` (`webport` ASC))
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8;

CREATE TABLE IF NOT EXISTS `radmin`.`utilisateurs` (
  `login` VARCHAR(255) NOT NULL,
  `password` VARCHAR(255) NOT NULL,
  PRIMARY KEY (`login`))
ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS `radmin`.`pbxvalues` (
  `serial` VARCHAR(20) NOT NULL,
  `date` INT NOT NULL,
  `version` VARCHAR(45) NOT NULL DEFAULT '',
  `totalram` BIGINT NOT NULL DEFAULT 0,
  `availableram` BIGINT NOT NULL DEFAULT 0,
  `swaptotal` BIGINT NOT NULL DEFAULT 0,
  `swapfree` BIGINT NOT NULL DEFAULT 0,
  `loadavg1` FLOAT NOT NULL DEFAULT 0,
  `calls` INT NOT NULL DEFAULT 0,
  `peersonline` INT NOT NULL DEFAULT 0,
  `peersoffline` INT NOT NULL DEFAULT 0,
  `registered` INT NOT NULL DEFAULT 0,
  PRIMARY KEY (`serial`, `date`))
ENGINE = MyISAM;

ALTER TABLE `radmin`.`pbxvalues` 
ADD INDEX `i1` (`serial` ASC),
ADD INDEX `i2` (`serial` ASC, `date` ASC);

ALTER TABLE `radmin`.`pbxvalues` 
ADD COLUMN `totaldisk` BIGINT NOT NULL DEFAULT 0 AFTER `loadavg1`,
ADD COLUMN `freedisk` BIGINT NOT NULL DEFAULT 0 AFTER `totaldisk`;


INSERT INTO `radmin`.`utilisateurs` (`login`, `password`) VALUES ('ipconnect', '*ED9B564C795945328CC38BCB1C00602C2DEC092A');
INSERT INTO `radmin`.`utilisateurs` (`login`, `password`) VALUES ('raccess', PASSWORD('raccess'));

GRANT ALL ON `radmin`.* TO 'radmin'@'localhost' IDENTIFIED BY 'radmin';
flush privileges;