#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"

mysql -u root < $DIR/update.sql

domain=`hostnamectl --static`
destdir=/var/www/html/radmin

cat > /etc/httpd/conf.d/radmin.conf<<EOF
<VirtualHost *:80>
    ServerName default
    DocumentRoot $destdir
    <Location />
        Require all denied
    </Location>
</VirtualHost>

<VirtualHost *:80>
    UseCanonicalName Off
    DocumentRoot $destdir
    ServerName $domain
    ServerAlias $domain

    <Directory "$destdir">
            Require all granted
            Options FollowSymlinks
            Options -Indexes
            AllowOverride all
    </Directory>
</VirtualHost>
EOF


cat > /var/www/html/radmin/.htaccess <<-"EOF" 
#Initialize mod_rewrite
RewriteEngine On
<FilesMatch "\.(html|htm|js|css)$">
  FileETag None
  <IfModule mod_headers.c>
    Header unset ETag
    Header set Cache-Control "max-age=0, no-cache, no-store, must-revalidate"
    Header set Pragma "no-cache"
    Header set Expires "Wed, 12 Jan 1980 05:00:00 GMT"
  </IfModule>
</FilesMatch>
EOF
chmod 444 /var/www/html/radmin/.htaccess

systemctl restart httpd

sed -i 's/GSSAPIAuthentication\syes/GSSAPIAuthentication no/' /etc/ssh/sshd_config
sed -i 's/#UseDNS\syes/UseDNS no/' /etc/ssh/sshd_config
systemctl restart sshd